# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: news_classifier.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x15news_classifier.proto\"\xa8\x01\n\x0eTrainingConfig\x12\x1e\n\x16training_data_filename\x18\x01 \x01(\t\x12 \n\x18training_labels_filename\x18\x02 \x01(\t\x12\x0e\n\x06\x65pochs\x18\x03 \x01(\x05\x12\x12\n\nbatch_size\x18\x04 \x01(\x05\x12\x18\n\x10validation_ratio\x18\x05 \x01(\x01\x12\x16\n\x0emodel_filename\x18\x06 \x01(\t\"\xea\x01\n\x0eTrainingStatus\x12\x0c\n\x04type\x18\x01 \x01(\t\x12\x13\n\x0bstatus_text\x18\x02 \x01(\t\x12\x34\n\x0eless_is_better\x18\x03 \x01(\x0b\x32\x1c.TrainingStatus.Lessisbetter\x12\x34\n\x0emore_is_better\x18\x04 \x01(\x0b\x32\x1c.TrainingStatus.Moreisbetter\x1a\'\n\x0cLessisbetter\x12\x17\n\x0fvalidation_loss\x18\x01 \x01(\x01\x1a \n\x0cMoreisbetter\x12\x10\n\x08\x61\x63\x63uracy\x18\x01 \x01(\x01\"\x18\n\x08NewsText\x12\x0c\n\x04text\x18\x01 \x01(\t\"<\n\x0cNewsCategory\x12\x15\n\rcategory_code\x18\x01 \x01(\x05\x12\x15\n\rcategory_text\x18\x02 \x01(\t2\xa3\x01\n\x0eNewsClassifier\x12\x31\n\rstartTraining\x12\x0f.TrainingConfig\x1a\x0f.TrainingStatus\x12$\n\x08\x63lassify\x12\t.NewsText\x1a\r.NewsCategory\x12\x38\n\x14get_metrics_metadata\x12\x0f.TrainingStatus\x1a\x0f.TrainingStatusb\x06proto3')



_TRAININGCONFIG = DESCRIPTOR.message_types_by_name['TrainingConfig']
_TRAININGSTATUS = DESCRIPTOR.message_types_by_name['TrainingStatus']
_TRAININGSTATUS_LESSISBETTER = _TRAININGSTATUS.nested_types_by_name['Lessisbetter']
_TRAININGSTATUS_MOREISBETTER = _TRAININGSTATUS.nested_types_by_name['Moreisbetter']
_NEWSTEXT = DESCRIPTOR.message_types_by_name['NewsText']
_NEWSCATEGORY = DESCRIPTOR.message_types_by_name['NewsCategory']
TrainingConfig = _reflection.GeneratedProtocolMessageType('TrainingConfig', (_message.Message,), {
  'DESCRIPTOR' : _TRAININGCONFIG,
  '__module__' : 'news_classifier_pb2'
  # @@protoc_insertion_point(class_scope:TrainingConfig)
  })
_sym_db.RegisterMessage(TrainingConfig)

TrainingStatus = _reflection.GeneratedProtocolMessageType('TrainingStatus', (_message.Message,), {

  'Lessisbetter' : _reflection.GeneratedProtocolMessageType('Lessisbetter', (_message.Message,), {
    'DESCRIPTOR' : _TRAININGSTATUS_LESSISBETTER,
    '__module__' : 'news_classifier_pb2'
    # @@protoc_insertion_point(class_scope:TrainingStatus.Lessisbetter)
    })
  ,

  'Moreisbetter' : _reflection.GeneratedProtocolMessageType('Moreisbetter', (_message.Message,), {
    'DESCRIPTOR' : _TRAININGSTATUS_MOREISBETTER,
    '__module__' : 'news_classifier_pb2'
    # @@protoc_insertion_point(class_scope:TrainingStatus.Moreisbetter)
    })
  ,
  'DESCRIPTOR' : _TRAININGSTATUS,
  '__module__' : 'news_classifier_pb2'
  # @@protoc_insertion_point(class_scope:TrainingStatus)
  })
_sym_db.RegisterMessage(TrainingStatus)
_sym_db.RegisterMessage(TrainingStatus.Lessisbetter)
_sym_db.RegisterMessage(TrainingStatus.Moreisbetter)

NewsText = _reflection.GeneratedProtocolMessageType('NewsText', (_message.Message,), {
  'DESCRIPTOR' : _NEWSTEXT,
  '__module__' : 'news_classifier_pb2'
  # @@protoc_insertion_point(class_scope:NewsText)
  })
_sym_db.RegisterMessage(NewsText)

NewsCategory = _reflection.GeneratedProtocolMessageType('NewsCategory', (_message.Message,), {
  'DESCRIPTOR' : _NEWSCATEGORY,
  '__module__' : 'news_classifier_pb2'
  # @@protoc_insertion_point(class_scope:NewsCategory)
  })
_sym_db.RegisterMessage(NewsCategory)

_NEWSCLASSIFIER = DESCRIPTOR.services_by_name['NewsClassifier']
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _TRAININGCONFIG._serialized_start=26
  _TRAININGCONFIG._serialized_end=194
  _TRAININGSTATUS._serialized_start=197
  _TRAININGSTATUS._serialized_end=431
  _TRAININGSTATUS_LESSISBETTER._serialized_start=358
  _TRAININGSTATUS_LESSISBETTER._serialized_end=397
  _TRAININGSTATUS_MOREISBETTER._serialized_start=399
  _TRAININGSTATUS_MOREISBETTER._serialized_end=431
  _NEWSTEXT._serialized_start=433
  _NEWSTEXT._serialized_end=457
  _NEWSCATEGORY._serialized_start=459
  _NEWSCATEGORY._serialized_end=519
  _NEWSCLASSIFIER._serialized_start=522
  _NEWSCLASSIFIER._serialized_end=685
# @@protoc_insertion_point(module_scope)
